extends Control


@export var outline: bool = true
@export var outline_color: Color = Color.BLACK
@export var outline_width: float = 0.1

@export var dot_radius: float = 1.0
@export var dot_color: Color = Color.WHITE

@export var crosses_width: float = 1.0
@export var crosses_length: float = 2.0
@export var crosses_offset: float = 0.2
@export var crosses_color: Color = Color.WHITE

func _draw() -> void:
	var origin = size/2.0
	draw_circle(origin,dot_radius,dot_color,false,outline_width)
	for i in range(0,4):
		var direction: Vector2 = Vector2.RIGHT.rotated(i*PI/2)
		var offset_position: Vector2 = direction * crosses_offset
		draw_line(origin+offset_position,origin+direction*crosses_length+offset_position,crosses_color,crosses_width)
